Bug 810421 - SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the directory /var/spool/vscan/dev.
SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the direct...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4c46b65041a7e8776088a09557d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 22:57 EDT by geminic86
Modified: 2012-04-06 02:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-06 02:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-04-05 22:57:27 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc16.i686.PAE
reason:         SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the directory /var/spool/vscan/dev.
time:           Thu 05 Apr 2012 10:57:15 PM EDT

description:
:SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the directory /var/spool/vscan/dev.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that clamscan should be allowed getattr access on the dev directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep clamscan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                system_u:object_r:sagator_device_t:s0
:Target Objects                /var/spool/vscan/dev [ dir ]
:Source                        clamscan
:Source Path                   /usr/bin/clamscan
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           clamav-0.97.3-1602.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-8.fc16.i686.PAE #1 SMP Thu Mar
:                              29 18:26:34 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Thu 05 Apr 2012 03:00:33 AM EDT
:Last Seen                     Thu 05 Apr 2012 05:04:14 AM EDT
:Local ID                      4330b0d5-a89f-482b-833b-84c59e4b45e6
:
:Raw Audit Messages
:type=AVC msg=audit(1333616654.195:3697): avc:  denied  { getattr } for  pid=31382 comm="clamscan" path="/var/spool/vscan/dev" dev="dm-1" ino=1338870 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sagator_device_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1333616654.195:3697): arch=i386 syscall=lstat64 success=no exit=EACCES a0=8b4dae0 a1=bf9ba870 a2=4f5ddff4 a3=3 items=0 ppid=31369 pid=31382 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts2 ses=388 comm=clamscan exe=/usr/bin/clamscan subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
:
:Hash: clamscan,unconfined_t,sagator_device_t,dir,getattr
:
:audit2allow
:
:#============= unconfined_t ==============
:allow unconfined_t sagator_device_t:dir getattr;
:
:audit2allow -R
:
:#============= unconfined_t ==============
:allow unconfined_t sagator_device_t:dir getattr;
:
Comment 1 Miroslav Grepl 2012-04-06 02:42:53 EDT
We don't have sagator policy. What is this? If you want to help with this policy, you can send it on fedora-selinux mailing list.

Note You need to log in before you can comment on or make changes to this bug.